<?php

namespace App\Http\Controllers\Works\Controller;

use App\Exceptions\ApiNotFound;
use App\Exceptions\ApiUnauthorized;
use App\Http\Controllers\ControllerBase;
use Illuminate\Routing\Controller;
use App\Lib\Response\Response;
use Illuminate\Http\Request;

class Works extends ControllerBase
{

    protected $prefix = "works";


    public function hidden($id)
    {
        try {
            $this->isAllowed($id);
            $this->prop($id,"is_hidden",1);
            return Response::ok();
        } catch (\Exception $e) {
            return Response::error($e->getMessage());
        }
    }

    public function display($id)
    {
        try {
            $this->isAllowed($id);
            $this->prop($id,"is_hidden",0);
            return Response::ok();
        } catch (\Exception $e) {
            return Response::error($e->getMessage());
        }
    }


}